<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.reagent.mapper.StandardSolutionCurveMapper">

  <resultMap id="standardSolutionCurveMap" type="digital.laboratory.platform.reagent.entity.StandardSolutionCurve">
    <id property="standardSolutionCurveId" column="standard_solution_curve_id"/>
    <result property="dispenserId" column="dispenser_id"/>
    <result property="serialnNumber" column="serialn_number"/>
    <result property="solutionName" column="solution_name_"/>
    <result property="solutionConcentration" column="solution_concentration"/>
    <result property="concentrationNumbering" column="concentration_numbering"/>
    <result property="stepSolutionConcentration" column="step_solution_concentration"/>
    <result property="createTime" column="create_time"/>
    <result property="updateTime" column="update_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateBy" column="update_by"/>
    <result property="configurationDate" column="configuration_date"/>

    <result property="storageRegistrationFormId" column="storage_registration_form_id"/>
  </resultMap>
</mapper>
